Subject: Re: bug#10895: Quirky behaviours with Arabic text

From: Jason Rumney <[email-masked]>
Date: Thu, 01 Mar 2012 22:49:33 +0800

sergei karhof <[email-masked]> writes:

> I don't know much about these technical matters (I am just an
> end-user), but I would like to point out that as for 'shaping' the
> letters (if I understand correctly what it means), it is no issue at
> all, because the letters AND the vowel marks are shaped correctly. The
> problem is that the vowel marks are not displayed where they should,
> that they are out of synch, and that there is not enough vertical
> space to contain all the vowel marks.

Shaping in this context is about shaping whole words, not individual
letters. Positioning vowel marks correctly is part of that.